## wxastrocapture 1.8.1+git20140303+dfsg

=== Makefile ===
#------------------------------------------------------------------------------#
# This makefile was generated by 'cbp2make' tool rev.147                       #
#------------------------------------------------------------------------------#


WORKDIR = `pwd`

CC = gcc
CXX = g++
AR = ar
LD = g++
WINDRES = windres

INC = 
CFLAGS = 
RESINC = 
LIBDIR = 
LIB = 
LDFLAGS = 

INC_UX_RELEASE = $(INC)
CFLAGS_UX_RELEASE = $(CFLAGS) -Os -O2 -W `wx-config --version=2.8 --toolkit=gtk2 --cxxflags` -Wno-ignored-qualifiers -DNOPCH -D__WX__
RESINC_UX_RELEASE = $(RESINC)
RCFLAGS_UX_RELEASE = $(RCFLAGS)
LIBDIR_UX_RELEASE = $(LIBDIR)
LIB_UX_RELEASE = $(LIB)-lusb
LDFLAGS_UX_RELEASE = $(LDFLAGS) -s `wx-config  --version=2.8 --toolkit=gtk2 --libs`
OBJDIR_UX_RELEASE = UX/obj/Release
DEP_UX_RELEASE = 
OUT_UX_RELEASE = UX/bin/Release/wxAstroCapture

OBJ_UX_RELEASE = $(OBJDIR_UX_RELEASE)/wxWebcam/avi/avilib_buf.o $(OBJDIR_UX_RELEASE)/wxWebcam/avi/avilib.o $(OBJDIR_UX_RELEASE)/wxWebcam/avi/AsyncWrite.o $(OBJDIR_UX_RELEASE)/wxWebcam/GenericImageMem.o $(OBJDIR_UX_RELEASE)/wxWebcam/GenericFps.o $(OBJDIR_UX_RELEASE)/wxWebcam/Ftd245Lib.o $(OBJDIR_UX_RELEASE)/wxWebcam/Ftd245IOUX.o $(OBJDIR_UX_RELEASE)/wxWebcam/Ftd245IO.o $(OBJDIR_UX_RELEASE)/wxWebcam/v4l2capfilter.o $(OBJDIR_UX_RELEASE)/wxWebcam/uxcapture.o $(OBJDIR_UX_RELEASE)/wxWebcam/fits/wxFitsOutputStream.o $(OBJDIR_UX_RELEASE)/wxWebcam/fits/wxFitsOut.o $(OBJDIR_UX_RELEASE)/wxWebcam/fits/wxFitsKeyword.o $(OBJDIR_UX_RELEASE)/wxWebcam/capturebase.o $(OBJDIR_UX_RELEASE)/wxWebcamProps.o $(OBJDIR_UX_RELEASE)/wxWebcam/ArtDevice.o $(OBJDIR_UX_RELEASE)/wxWebcam/ArtBase.o $(OBJDIR_UX_RELEASE)/wxWebcam/ARTUSB_LibUsb.o $(OBJDIR_UX_RELEASE)/wxWebcamDBMain.o $(OBJDIR_UX_RELEASE)/wxWebcamDBApp.o $(OBJDIR_UX_RELEASE)/wxSubFrame.o $(OBJDIR_UX_RELEASE)/wxStar.o $(OBJDIR_UX_RELEASE)/wxWebcam/Atik16Thread.o $(OBJDIR_UX_RELEASE)/wxWebcam/Atik16Drv.o $(OBJDIR_UX_RELEASE)/wxWebcam/Atik16Cmd.o $(OBJDIR_UX_RELEASE)/wxWebcam/v4l2stream.o $(OBJDIR_UX_RELEASE)/wxWebcam/ArtTimeHelper.o $(OBJDIR_UX_RELEASE)/wxWebcam/ArtDrvSim.o $(OBJDIR_UX_RELEASE)/wxcustom/wxStatusBarEx.o $(OBJDIR_UX_RELEASE)/wxcustom/wxPropertyPageDialog.o $(OBJDIR_UX_RELEASE)/wxcustom/wxPropGrid.o $(OBJDIR_UX_RELEASE)/wxcustom/wxIoPortCtrl.o $(OBJDIR_UX_RELEASE)/wxWebcam/yuv_to_rgb.o $(OBJDIR_UX_RELEASE)/wxWebcam/wxYP162Fits.o $(OBJDIR_UX_RELEASE)/wxWebcam/wxWebcamV4L2.o $(OBJDIR_UX_RELEASE)/wxthings/spinctld.o $(OBJDIR_UX_RELEASE)/wxWebcam/wxCamCoords.o $(OBJDIR_UX_RELEASE)/wxWebcam/wxBMP2Fits.o $(OBJDIR_UX_RELEASE)/wxWebcam/wxArtcamTimer.o $(OBJDIR_UX_RELEASE)/wxWebcam/wxArtcam.o $(OBJDIR_UX_RELEASE)/wxWebcam/wxCamera.o $(OBJDIR_UX_RELEASE)/wxWebcam/wxArtSample.o $(OBJDIR_UX_RELEASE)/wxWebcam/wxArtCoords.o $(OBJDIR_UX_RELEASE)/wxWebcam/v4l2wcprop.o $(OBJDIR_UX_RELEASE)/wxWebcam/v4l2wcfilter.o $(OBJDIR_UX_RELEASE)/wxWebcam/wxTimeFormatter.o $(OBJDIR_UX_RELEASE)/wxWebcam/wxWebcamTimer.o $(OBJDIR_UX_RELEASE)/wxWebcam/wxWebcam.o $(OBJDIR_UX_RELEASE)/wxWebcam/wxWebSample.o $(OBJDIR_UX_RELEASE)/wxWebcam/wxWebCoords.o $(OBJDIR_UX_RELEASE)/wxWebcam/wxTimeFont.o $(OBJDIR_UX_RELEASE)/wxWebcam/wxImageStore.o $(OBJDIR_UX_RELEASE)/wxWebcam/wxHistogram.o $(OBJDIR_UX_RELEASE)/SettingsGuidingInterfaceBridge.o $(OBJDIR_UX_RELEASE)/SettingsVideoCapture.o $(OBJDIR_UX_RELEASE)/SettingsNamePolicy.o $(OBJDIR_UX_RELEASE)/SettingsGuidingInterfacePort.o $(OBJDIR_UX_RELEASE)/SettingsGuidingInterfaceFile.o $(OBJDIR_UX_RELEASE)/SettingsGuidingInterface.o $(OBJDIR_UX_RELEASE)/SettingsGuidingCalibrateDlg.o $(OBJDIR_UX_RELEASE)/SettingsGuiding.o $(OBJDIR_UX_RELEASE)/SettingsGuidePortSerial.o $(OBJDIR_UX_RELEASE)/wxGuider.o $(OBJDIR_UX_RELEASE)/wxGuidingConfig.o $(OBJDIR_UX_RELEASE)/wxGuiderPortInterface.o $(OBJDIR_UX_RELEASE)/wxGuiderFileInterface.o $(OBJDIR_UX_RELEASE)/wxGuiderBridgeInterface.o $(OBJDIR_UX_RELEASE)/wxFactory.o $(OBJDIR_UX_RELEASE)/wxConfigPath.o $(OBJDIR_UX_RELEASE)/GenericDebHelp.o $(OBJDIR_UX_RELEASE)/FitsHeader.o $(OBJDIR_UX_RELEASE)/DefaultProps.o $(OBJDIR_UX_RELEASE)/BatchSetup.o $(OBJDIR_UX_RELEASE)/BatchJobManager.o $(OBJDIR_UX_RELEASE)/BatchJob.o $(OBJDIR_UX_RELEASE)/BatchExposure.o $(OBJDIR_UX_RELEASE)/ArtemisProps.o $(OBJDIR_UX_RELEASE)/ArtemisCooling.o $(OBJDIR_UX_RELEASE)/SecondaryProps.o $(OBJDIR_UX_RELEASE)/SettingsGuidePortParallel.o $(OBJDIR_UX_RELEASE)/SettingsGuidePort.o $(OBJDIR_UX_RELEASE)/SettingsDialog.o $(OBJDIR_UX_RELEASE)/SettingsControlPort.o $(OBJDIR_UX_RELEASE)/PrimaryProps.o $(OBJDIR_UX_RELEASE)/OptionsGuiding.o $(OBJDIR_UX_RELEASE)/LoadSaveProps.o $(OBJDIR_UX_RELEASE)/ImageHeaderDialog.o $(OBJDIR_UX_RELEASE)/wxIO/PortUX.o $(OBJDIR_UX_RELEASE)/wxIO/wxGuiderPort.o $(OBJDIR_UX_RELEASE)/wxIO/UxUsb_LibUsb.o $(OBJDIR_UX_RELEASE)/wxIO/SAUSB_LibUsb.o $(OBJDIR_UX_RELEASE)/wxIO/PortEnumUX.o $(OBJDIR_UX_RELEASE)/wxIO/MTS3_PF.o $(OBJDIR_UX_RELEASE)/wxIO/wxPortManager.o $(OBJDIR_UX_RELEASE)/wxNoteBookPageEx.o $(OBJDIR_UX_RELEASE)/wxNamePolicy.o $(OBJDIR_UX_RELEASE)/wxMessageArea.o $(OBJDIR_UX_RELEASE)/wxMainToolBar.o $(OBJDIR_UX_RELEASE)/wxIO/wxPortDescr.o $(OBJDIR_UX_RELEASE)/wxIO/wxPort.o $(OBJDIR_UX_RELEASE)/wxIO/wxLongExpoPort.o $(OBJDIR_UX_RELEASE)/wxIO/wxGuiderPortProtocol.o $(OBJDIR_UX_RELEASE)/wxGuidingInterfaceUsbPort.o $(OBJDIR_UX_RELEASE)/wxIO/GPUsbUX.o $(OBJDIR_UX_RELEASE)/wxIO/GPUsb.o $(OBJDIR_UX_RELEASE)/wxGuidingOptions.o $(OBJDIR_UX_RELEASE)/wxIO/GP_BRIDGE.o $(OBJDIR_UX_RELEASE)/wxGuidingInterfaceSerialPort.o $(OBJDIR_UX_RELEASE)/wxGuidingInterfaceParallelPort.o $(OBJDIR_UX_RELEASE)/wxGuidingInterfaceFile.o $(OBJDIR_UX_RELEASE)/wxGuidingInterfaceBridge.o $(OBJDIR_UX_RELEASE)/wxIO/LXUsbUX.o $(OBJDIR_UX_RELEASE)/wxIO/LXUsb.o $(OBJDIR_UX_RELEASE)/wxIO/IOBuffer.o $(OBJDIR_UX_RELEASE)/wxIO/GP_ST4.o $(OBJDIR_UX_RELEASE)/AdvancedGuidingParams.o $(OBJDIR_UX_RELEASE)/wxIO/GP_NexStar.o $(OBJDIR_UX_RELEASE)/wxIO/GP_MTS_3SDI.o $(OBJDIR_UX_RELEASE)/wxIO/GP_LX200PG.o $(OBJDIR_UX_RELEASE)/wxIO/GP_LX200.o

all: ux_release

clean: clean_ux_release

before_ux_release: 
	test -d UX/bin/Release || mkdir -p UX/bin/Release
	test -d $(OBJDIR_UX_RELEASE)/wxWebcam/avi || mkdir -p $(OBJDIR_UX_RELEASE)/wxWebcam/avi
	test -d $(OBJDIR_UX_RELEASE)/wxWebcam || mkdir -p $(OBJDIR_UX_RELEASE)/wxWebcam
	test -d $(OBJDIR_UX_RELEASE)/wxWebcam/fits || mkdir -p $(OBJDIR_UX_RELEASE)/wxWebcam/fits
	test -d $(OBJDIR_UX_RELEASE) || mkdir -p $(OBJDIR_UX_RELEASE)
	test -d $(OBJDIR_UX_RELEASE)/wxcustom || mkdir -p $(OBJDIR_UX_RELEASE)/wxcustom
	test -d $(OBJDIR_UX_RELEASE)/wxthings || mkdir -p $(OBJDIR_UX_RELEASE)/wxthings
	test -d $(OBJDIR_UX_RELEASE)/wxIO || mkdir -p $(OBJDIR_UX_RELEASE)/wxIO

after_ux_release: 

ux_release: before_ux_release out_ux_release after_ux_release

out_ux_release: before_ux_release $(OBJ_UX_RELEASE) $(DEP_UX_RELEASE)
	$(LD) $(LIBDIR_UX_RELEASE) -o $(OUT_UX_RELEASE) $(OBJ_UX_RELEASE)  $(LDFLAGS_UX_RELEASE) $(LIB_UX_RELEASE)

$(OBJDIR_UX_RELEASE)/wxWebcam/avi/avilib_buf.o: wxWebcam/avi/avilib_buf.cpp
	$(CXX) $(CFLAGS_UX_RELEASE) $(INC_UX_RELEASE) -c wxWebcam/avi/avilib_buf.cpp -o $(OBJDIR_UX_RELEASE)/wxWebcam/avi/avilib_buf.o

$(OBJDIR_UX_RELEASE)/wxWebcam/avi/avilib.o: wxWebcam/avi/avilib.cpp
	$(CXX) $(CFLAGS_UX_RELEASE) $(INC_UX_RELEASE) -c wxWebcam/avi/avilib.cpp -o $(OBJDIR_UX_RELEASE)/wxWebcam/avi/avilib.o

$(OBJDIR_UX_RELEASE)/wxWebcam/avi/AsyncWrite.o: wxWebcam/avi/AsyncWrite.cpp
	$(CXX) $(CFLAGS_UX_RELEASE) $(INC_UX_RELEASE) -c wxWebcam/avi/AsyncWrite.cpp -o $(OBJDIR_UX_RELEASE)/wxWebcam/avi/AsyncWrite.o

$(OBJDIR_UX_RELEASE)/wxWebcam/GenericImageMem.o: wxWebcam/GenericImageMem.cpp
	$(CXX) $(CFLAGS_UX_RELEASE) $(INC_UX_RELEASE) -c wxWebcam/GenericImageMem.cpp -o $(OBJDIR_UX_RELEASE)/wxWebcam/GenericImageMem.o

$(OBJDIR_UX_RELEASE)/wxWebcam/GenericFps.o: wxWebcam/GenericFps.cpp
	$(CXX) $(CFLAGS_UX_RELEASE) $(INC_UX_RELEASE) -c wxWebcam/GenericFps.cpp -o $(OBJDIR_UX_RELEASE)/wxWebcam/GenericFps.o

$(OBJDIR_UX_RELEASE)/wxWebcam/Ftd245Lib.o: wxWebcam/Ftd245Lib.cpp
	$(CXX) $(CFLAGS_UX_RELEASE) $(INC_UX_RELEASE) -c wxWebcam/Ftd245Lib.cpp -o $(OBJDIR_UX_RELEASE)/wxWebcam/Ftd245Lib.o

$(OBJDIR_UX_RELEASE)/wxWebcam/Ftd245IOUX.o: wxWebcam/Ftd245IOUX.cpp
	$(CXX) $(CFLAGS_UX_RELEASE) $(INC_UX_RELEASE) -c wxWebcam/Ftd245IOUX.cpp -o $(OBJDIR_UX_RELEASE)/wxWebcam/Ftd245IOUX.o

$(OBJDIR_UX_RELEASE)/wxWebcam/Ftd245IO.o: wxWebcam/Ftd245IO.cpp
	$(CXX) $(CFLAGS_UX_RELEASE) $(INC_UX_RELEASE) -c wxWebcam/Ftd245IO.cpp -o $(OBJDIR_UX_RELEASE)/wxWebcam/Ftd245IO.o

$(OBJDIR_UX_RELEASE)/wxWebcam/v4l2capfilter.o: wxWebcam/v4l2capfilter.cpp
	$(CXX) $(CFLAGS_UX_RELEASE) $(INC_UX_RELEASE) -c wxWebcam/v4l2capfilter.cpp -o $(OBJDIR_UX_RELEASE)/wxWebcam/v4l2capfilter.o

$(OBJDIR_UX_RELEASE)/wxWebcam/uxcapture.o: wxWebcam/uxcapture.cpp
	$(CXX) $(CFLAGS_UX_RELEASE) $(INC_UX_RELEASE) -c wxWebcam/uxcapture.cpp -o $(OBJDIR_UX_RELEASE)/wxWebcam/uxcapture.o

$(OBJDIR_UX_RELEASE)/wxWebcam/fits/wxFitsOutputStream.o: wxWebcam/fits/wxFitsOutputStream.cpp
	$(CXX) $(CFLAGS_UX_RELEASE) $(INC_UX_RELEASE) -c wxWebcam/fits/wxFitsOutputStream.cpp -o $(OBJDIR_UX_RELEASE)/wxWebcam/fits/wxFitsOutputStream.o

$(OBJDIR_UX_RELEASE)/wxWebcam/fits/wxFitsOut.o: wxWebcam/fits/wxFitsOut.cpp
	$(CXX) $(CFLAGS_UX_RELEASE) $(INC_UX_RELEASE) -c wxWebcam/fits/wxFitsOut.cpp -o $(OBJDIR_UX_RELEASE)/wxWebcam/fits/wxFitsOut.o

$(OBJDIR_UX_RELEASE)/wxWebcam/fits/wxFitsKeyword.o: wxWebcam/fits/wxFitsKeyword.cpp
	$(CXX) $(CFLAGS_UX_RELEASE) $(INC_UX_RELEASE) -c wxWebcam/fits/wxFitsKeyword.cpp -o $(OBJDIR_UX_RELEASE)/wxWebcam/fits/wxFitsKeyword.o

$(OBJDIR_UX_RELEASE)/wxWebcam/capturebase.o: wxWebcam/capturebase.cpp
	$(CXX) $(CFLAGS_UX_RELEASE) $(INC_UX_RELEASE) -c wxWebcam/capturebase.cpp -o $(OBJDIR_UX_RELEASE)/wxWebcam/capturebase.o

$(OBJDIR_UX_RELEASE)/wxWebcamProps.o: wxWebcamProps.cpp
	$(CXX) $(CFLAGS_UX_RELEASE) $(INC_UX_RELEASE) -c wxWebcamProps.cpp -o $(OBJDIR_UX_RELEASE)/wxWebcamProps.o

$(OBJDIR_UX_RELEASE)/wxWebcam/ArtDevice.o: wxWebcam/ArtDevice.cpp
	$(CXX) $(CFLAGS_UX_RELEASE) $(INC_UX_RELEASE) -c wxWebcam/ArtDevice.cpp -o $(OBJDIR_UX_RELEASE)/wxWebcam/ArtDevice.o

$(OBJDIR_UX_RELEASE)/wxWebcam/ArtBase.o: wxWebcam/ArtBase.cpp
	$(CXX) $(CFLAGS_UX_RELEASE) $(INC_UX_RELEASE) -c wxWebcam/ArtBase.cpp -o $(OBJDIR_UX_RELEASE)/wxWebcam/ArtBase.o

$(OBJDIR_UX_RELEASE)/wxWebcam/ARTUSB_LibUsb.o: wxWebcam/ARTUSB_LibUsb.cpp
	$(CXX) $(CFLAGS_UX_RELEASE) $(INC_UX_RELEASE) -c wxWebcam/ARTUSB_LibUsb.cpp -o $(OBJDIR_UX_RELEASE)/wxWebcam/ARTUSB_LibUsb.o

$(OBJDIR_UX_RELEASE)/wxWebcamDBMain.o: wxWebcamDBMain.cpp
	$(CXX) $(CFLAGS_UX_RELEASE) $(INC_UX_RELEASE) -c wxWebcamDBMain.cpp -o $(OBJDIR_UX_RELEASE)/wxWebcamDBMain.o

$(OBJDIR_UX_RELEASE)/wxWebcamDBApp.o: wxWebcamDBApp.cpp
	$(CXX) $(CFLAGS_UX_RELEASE) $(INC_UX_RELEASE) -c wxWebcamDBApp.cpp -o $(OBJDIR_UX_RELEASE)/wxWebcamDBApp.o

$(OBJDIR_UX_RELEASE)/wxSubFrame.o: wxSubFrame.cpp
	$(CXX) $(CFLAGS_UX_RELEASE) $(INC_UX_RELEASE) -c wxSubFrame.cpp -o $(OBJDIR_UX_RELEASE)/wxSubFrame.o

$(OBJDIR_UX_RELEASE)/wxStar.o: wxStar.cpp
	$(CXX) $(CFLAGS_UX_RELEASE) $(INC_UX_RELEASE) -c wxStar.cpp -o $(OBJDIR_UX_RELEASE)/wxStar.o

$(OBJDIR_UX_RELEASE)/wxWebcam/Atik16Thread.o: wxWebcam/Atik16Thread.cpp
	$(CXX) $(CFLAGS_UX_RELEASE) $(INC_UX_RELEASE) -c wxWebcam/Atik16Thread.cpp -o $(OBJDIR_UX_RELEASE)/wxWebcam/Atik16Thread.o

$(OBJDIR_UX_RELEASE)/wxWebcam/Atik16Drv.o: wxWebcam/Atik16Drv.cpp
	$(CXX) $(CFLAGS_UX_RELEASE) $(INC_UX_RELEASE) -c wxWebcam/Atik16Drv.cpp -o $(OBJDIR_UX_RELEASE)/wxWebcam/Atik16Drv.o

$(OBJDIR_UX_RELEASE)/wxWebcam/Atik16Cmd.o: wxWebcam/Atik16Cmd.cpp
	$(CXX) $(CFLAGS_UX_RELEASE) $(INC_UX_RELEASE) -c wxWebcam/Atik16Cmd.cpp -o $(OBJDIR_UX_RELEASE)/wxWebcam/Atik16Cmd.o

$(OBJDIR_UX_RELEASE)/wxWebcam/v4l2stream.o: wxWebcam/v4l2stream.cpp
	$(CXX) $(CFLAGS_UX_RELEASE) $(INC_UX_RELEASE) -c wxWebcam/v4l2stream.cpp -o $(OBJDIR_UX_RELEASE)/wxWebcam/v4l2stream.o

$(OBJDIR_UX_RELEASE)/wxWebcam/ArtTimeHelper.o: wxWebcam/ArtTimeHelper.cpp
	$(CXX) $(CFLAGS_UX_RELEASE) $(INC_UX_RELEASE) -c wxWebcam/ArtTimeHelper.cpp -o $(OBJDIR_UX_RELEASE)/wxWebcam/ArtTimeHelper.o

$(OBJDIR_UX_RELEASE)/wxWebcam/ArtDrvSim.o: wxWebcam/ArtDrvSim.cpp

=== debian/changelog ===
wxastrocapture (1.8.1+git20140303+dfsg-2) unstable; urgency=low

  * Reupload - Thanks got to Thorsten Alteholz for his scrutiny
    - Removed doc directory for DFSG compliance
    - Identified LGPL-3+ source code

 -- Steffen Moeller <moeller@debian.org>  Tue, 06 May 2014 00:52:03 +0200

wxastrocapture (1.8.1+git20140303+dfsg-1) UNRELEASED; urgency=low

  * Initial release (Closes: #741294)

 -- Steffen Moeller <moeller@debian.org>  Mon, 03 Mar 2014 21:55:57 +0100

=== debian/control ===
Source: wxastrocapture
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 9.0.0), cbp2make,
 libusb-dev, libv4l-dev,
 libwxgtk2.8-dev
#, libwxgtk2.8-dbg # dependency affects dpkg-shlibdeps
Standards-Version: 3.9.5
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/wxAstroCapture/
Vcs-Svn: svn://svn.debian.org/debian-science/packages/wxAstroCapture/trunk/
Homepage: https://github.com/wxAstro/wxAstroCapture

Package: wxastrocapture
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Windows linuX Astronomy Capture 
 wxAstroCapture controls cameras for planetary/lunar/solar and deep sky
 imaging. Long exposures are supported for SC modified webcams with
 serial and parallel port long exposure control. Also supported are
 Artemis/ATK cameras for 16bit deep sky imaging and webcam autoguiding
 using normal or long exposures.

Package: wxastrocapture-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${misc:Depends}, wxastrocapture
Description: Debug information for Windows linuX Astronomy Capture
 Debug information for the wxastrocapture package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_configure:
	cbp2make -in wxWebcamDB.cbp -unix -out Makefile -targets UX_Release
	#cbp2make -in wxWebcamDB.cbp -unix -out Makefile -targets UX_Debug

override_dh_auto_build:
	$(MAKE) CFLAGS=-g 

override_dh_strip:
	dh_strip --dbg-package=wxastrocapture-dbg

## wxastrocapture 1.8.1+git20140821+dfsg

=== debian/changelog ===
wxastrocapture (1.8.1+git20140821+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * Drop manual debug package
  * debhelper 11
  * DEP5 fixes

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jan 2018 14:48:46 +0100

wxastrocapture (1.8.1+git20140821+dfsg-1) unstable; urgency=low

  * debian/rules - get-orig-source target
  [ Olly Betts ]
  * Update to use wxWidgets 3.0 (Closes: #755558).

 -- Steffen Moeller <moeller@debian.org>  Mon, 01 Sep 2014 16:01:42 +0200

=== debian/control ===
Source: wxastrocapture
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               cbp2make,
               libusb-dev,
               libv4l-dev,
               libwxgtk3.0-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/wxastrocapture.git
Vcs-Git: https://salsa.debian.org/science-team/wxastrocapture.git
Homepage: https://github.com/wxAstro/wxAstroCapture

Package: wxastrocapture
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Windows linuX Astronomy Capture
 wxAstroCapture controls cameras for planetary/lunar/solar and deep sky
 imaging. Long exposures are supported for SC modified webcams with
 serial and parallel port long exposure control. Also supported are
 Artemis/ATK cameras for 16bit deep sky imaging and webcam autoguiding
 using normal or long exposures.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=-pie,+fortify
export DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk


%:
	dh $@ 

override_dh_auto_configure:
	cbp2make -in wxWebcamDB.cbp -unix -out Makefile -targets UX_Release
	#cbp2make -in wxWebcamDB.cbp -unix -out Makefile -targets UX_Debug

override_dh_auto_build:
	# Compile with NDEBUG defined to handle assertion failures quietly line
	# wx2.8 does by default.
	$(MAKE) CFLAGS='-g -DNDEBUG'

VERSION=1.8.1
get-orig-source:
	#git clone https://github.com/wxAstro/wxAstroCapture.git wxAstroCapture-$(VERSION)
	tar --exclude bin --exclude doc --exclude .git -cJvf ../wxAstroCapture_$(VERSION)+git$(shell date +"%Y%m%d")+dfsg.tar.xz wxAstroCapture-$(VERSION)
	rm -rf ../wxAstroCapture-$(VERSION)
	mv wxAstroCapture-$(VERSION) ..

## wxastrocapture 1.8.1+git20140821.796e1a1+dfsg

=== debian/changelog ===
wxastrocapture (1.8.1+git20140821.796e1a1+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:28:57 +0100

wxastrocapture (1.8.1+git20140821.796e1a1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Add watch file using git mode (cheating a bit with version number
    since latest commit was 20140218 - but avoid epoch here)
  * Remove debian/README.source and use Files-Excluded instead
  * rebuild against wxWidgets GTK 3 package
    Closes: #933475
  * debhelper-compat 12
  * Remove trailing whitespace in debian/rules
  * Set upstream metadata fields: Repository.
  * Use canonical URL in Vcs-Browser.

 -- Andreas Tille <tille@debian.org>  Sat, 05 Oct 2019 11:26:48 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                cbp2make,
                libusb-dev,
                libv4l-dev,
-               libwxgtk3.0-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/science-team/wxastrocapture.git
+               libwxgtk3.0-gtk3-dev
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/science-team/wxastrocapture
 Vcs-Git: https://salsa.debian.org/science-team/wxastrocapture.git
 Homepage: https://github.com/wxAstro/wxAstroCapture

=== debian/watch ===
version=4

opts="mode=git,pretty=1.8.1+git%cd.%h,repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
    https://github.com/wxAstro/wxAstroCapture.git HEAD
